tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[ pkgsrc NetBSD 5.1_RC3/x86_64 2010-09-26 14:38]

Thanks to joerg for the bulk build results.  I love the html links to
the failures, BTW.

I suggest that for pkgsrc-2010Q3 to get out the door, we hit the top
offenders on the list - the top 6 look good from here...

> ----- Forwarded message from Joerg Sonnenberger 
> <> -----
> [...]
> NetBSD 5.1_RC3/x86_64
> Compiler: gcc
> Build start: 2010-09-26 14:38
> Build end:   2010-09-30 17:31
> Full report: 
> Machine readable version: 
> Total number of packages:      10068
>   Successfully built:           9414
>   Failed to build:               171
>   Depending on failed package:   138
>   Explicitly broken or masked:   245
>   Depending on masked package:   100
> Packages breaking the most other packages
> Package                               Breaks Maintainer
> -------------------------------------------------------------------------
> editors/emacs-snapshot                    87

Throws a SIGSEGV during el compilation

> ham/gnuradio-core                         15

checking whether the boost::date_time includes are available... yes
checking for exit in -lboost_thread... (cached) yes
checking whether the boost::program_options includes are available... yes
checking for exit in -lboost_program_options... yes
Component gruel requires guile, which was not found.
checking for arpa/inet.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking byteswap.h usability... no
checking byteswap.h presence... no
checking for byteswap.h... no
configure: error: Component gruel has errors; stopping.

bl3 problem, I suspect.

> inputmethod/anthy                         11

./mkworddic -f ./dict.args
gmake[2]: *** [anthy.wdic] Segmentation fault (core dumped)
gmake[2]: Leaving directory 
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/scratch/inputmethod/anthy/work/anthy-9100h'
gmake: *** [all] Error 2
*** Error code 2

maybe process limits?

> security/lasso                             6

--- registry.lo ---
  CC     registry.lo
--- lasso.lo ---
lasso.c: In function 'lasso_init':
lasso.c:127: error: stray '\' in program
lasso.c:127: error: missing terminating " character
lasso.c:127: error: expected expression before ')' token
*** [lasso.lo] Error code 1
1 error

> mail/evolution                             4

libtool: install: (cd 
libtool --silent --tag CC --mode=relink cc -O2 -no-undefined 
-L/scratch/mail/evolution/work/.buildlink/lib/nss -L/usr/lib 
-L/scratch/mail/evolution/work/.buildlink/lib -Wl,--no-undefined -o -rpath /usr/pkg/lib/evolution/2.30 
libecontacteditor_la-e-contact-quick-add.lo -L../../../e-util/.libs 
../../../e-util/ -L../../../widgets/misc/.libs 
../../../widgets/misc/ -L../../../addressbook/util/.libs 
-L../../../widgets/menus/.libs/.libs ../../../widgets/menus/.libs/ 
-pthread -ledataserverui-1.2 -lebook-1.2 -ldbus-glib-1 -ldbus-1 -lcamel-1.2 
-ledataserver-1.2 -lsqlite3 -lnss3 -lsmime3 -lssl3 -lsoftokn3 -lxml2 -lsoup-2.4 
-lplds4 -lplc4 -lnspr4 -lgtkhtml-editor -lgtkhtml-3.14 -lgtk-x11-2.0 -lenchant 
-lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext 
-lXrender -lXinerama -lXi -lXrandr -lXcursor -lXdamage -lpangoft2-1.0 -lgio-2.0 
-lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 
-lgthread-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -pthread -lgconf-2 
-lgnomecanvas-2 -lart_lgpl_2 -lxml2 -lgnome-desktop-2 -lstartup-notification-1 
-lunique-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 
-lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXdamage 
-lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype 
-lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0 -lintl 
-inst-prefix-dir /scratch/mail/evolution/work/.destdir)
cd: can't cd to ../../../widgets/menus/.libs/.libs
libtool: relink: cannot determine absolute directory name of 
libtool: install: error: relink `' with the above command 
before installing it
gmake[5]: *** [install-privsolibLTLIBRARIES] Error 1
gmake[5]: Leaving directory 
gmake[4]: *** [install-am] Error 2

that's a stunning link stage - the libtool problems usually happen when
non-standard things are done with libtool - I'll look later on today.

> security/nessus-libraries                  4

=> Bootstrap dependency digest>=20010302: found digest-20080510
WARNING: [] Every package should define a LICENSE.
===> Skipping vulnerability checks.
WARNING: No /var/db/pkg/pkg-vulnerabilities file found.
WARNING: To fix run: `/usr/sbin/pkg_admin -K /var/db/pkg 
ERROR: ======================================================================
ERROR: Please download nessus-libraries-2.2.11.tar.gz
ERROR: manually from
ERROR: ======================================================================
*** Error code 1

make: stopped in /bulk-data/pkgsrc/security/nessus-libraries

should be easy to fix...

I'll have a look later on today if no-one gets to them before me.


Home | Main Index | Thread Index | Old Index